dpp::command_info_t
commandhandler.h
command_handler command_handler dpp::command_info_t::func func dpp::command_info_t::func

Function reference for the handler. This is std::function so it can represent a class member, a lambda or a raw C function pointer.

snowflake snowflake dpp::command_info_t::guild_id guild_id dpp::command_info_t::guild_id

Guild ID the command exists on, or 0 to be present on all guilds.

parameter_registration_t parameter_registration_t dpp::command_info_t::parameters parameters dpp::command_info_t::parameters

Parameters requested for the command, with their types.

Represents the details of a command added to the command handler class.

Deprecated

commandhandler and message commands are deprecated and dpp::slashcommand is encouraged as a replacement.

T
dpp::command_info_t
func
parameters
guild_id
dpp::snowflake
value
function< void(const std::string &, const parameter_list_t &, command_source)>
std::vector< T >
elements
std::vector< std::pair< std::string, param_info > >
< std::pair< std::string, param_info > >
uint64_t
- dpp::command_info_t
  func
- dpp::command_info_t
  guild_id
- dpp::command_info_t
  parameters